Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.webapp.webxml
Class WebXml

    java.lang.Object
      org.apache.myfaces.shared_orchestra.webapp.webxml.WebXml

    public class WebXml

extends java.lang.Object

Version:
  $Revision: 561987 $ $Date: 2007-08-02 01:19:06 +0200 (Do, 02 Aug 2007) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`WebXml()`

Method Summary
`java.util.List` | `getFacesExtensionsFilterMappings()` returns a list of `#org.apache.myfaces.shared_orchestra.webapp.webxml.FilterMapping`s representing a extensions filter entry
`java.util.List` | `getFacesServletMappings()`
`static WebXml` | `getWebXml(javax.faces.context.ExternalContext context)`
`static void` | `init(javax.faces.context.ExternalContext context)` should be called when initialising Servlet
`protected boolean` | `isOld(javax.faces.context.ExternalContext context)`
`protected void` | `setParsingTime(long parsingTime)`
`static void` | `update(javax.faces.context.ExternalContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebXml

    public WebXml()

Method Detail

### getFacesServletMappings

    public java.util.List getFacesServletMappings()

### getFacesExtensionsFilterMappings

    public java.util.List getFacesExtensionsFilterMappings()

  returns a list of `#org.apache.myfaces.shared_orchestra.webapp.webxml.FilterMapping`s representing a extensions filter entry

### setParsingTime

    protected void setParsingTime(long parsingTime)

### isOld

    protected boolean isOld(javax.faces.context.ExternalContext context)

### getWebXml

    public static WebXml getWebXml(javax.faces.context.ExternalContext context)

### init

    public static void init(javax.faces.context.ExternalContext context)

  should be called when initialising Servlet

  Parameters:
    `context` -

### update

    public static void update(javax.faces.context.ExternalContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.